import request from '/@/utils/request';

/**
 * @summary 获取测点组列表
 */
export const GetLogicalTreeListByBelongTypeAndBelongID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 获取设备列表
 */
export const GetEquipmentLogicalTreeListByBelongTypeAndBelongID = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Vibration/Logic/GetEquipmentLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 根据测点列表或者信号下拉选择
 */
export const GetSimpleSignalListByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetSimpleSignalListByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary
 */
export const GetLastRecordList = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetSimpleLastRecordBySignalIds@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 波形图
 */
export const GetLastWaveSpectrumByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetLastWaveSpectrumByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 频谱图
 */
export const GetLastFrequencySpectrumByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetLastFrequencySpectrumByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 波形频谱图
 */
export const GetLastWaveAndFrequencySpectrumByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetLastWaveAndFrequencySpectrumByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 故障频率分析
 */
export const GetLastDegreeFrequencySpectrumByMonitorPointID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Record/Real/Vibration/Logic/GetLastDegreeFrequencySpectrumByMonitorPointID@V1.0',
		method: 'GET',
		params: params,
	});
};
